<?php
//CONEXION A LA BASE DE DATOS
include("conexion.php");
//header('Content-Type: text/html; charset=iso-8859-1');
date_default_timezone_set("America/Mexico_City");
$hoy = date("Y-m-d");

$cons300 = "SELECT max(idSalida) as nocontrol FROM salida";
$res300 = mysql_query($cons300, $conex) or die("No se realizo cons300");
$controlant = mysql_result($res300, 0, 'nocontrol');
$control = $controlant + 1;

//CAPTURA DE DATOS DEL URL
$fecha = $_POST['fecha'];
$hora = date("H:i:s");
$caja = $_POST['caja'];
$usuario = $_POST['usuario'];
$tratamiento = $_POST['idtratamiento'];
$idmateria = $_POST['idmateria'];
$precio = $_POST['precio'];
$total = $_POST['total'];
$clinica = $_POST['clinica'];
$cifra = $_POST['cifra'];
$observaciones = $_POST['observaciones'];

//NUEVO CALCULO DEL FOLIO
$consF2 = "SELECT max(folio) as folio FROM salida";
$resF2 = mysql_query($consF2, $conex) or die("No se realizo consF2");
$folioant = mysql_result($resF2, 0, 'folio');
$folio = $folioant + 1;


$consX = "SELECT tratamientoCompleto,precio,descuento FROM tratamientocompleto WHERE idTratamiento='$tratamiento'";
$resX = mysql_query($consX, $conex) or die("No se realizo con exito la consulta de TRATAMIENTOS");
$descuento = mysql_result($resX, 0, 'descuento');
if ($descuento == "No") {
	$cifra = 0;
}

if (isset($_POST['repo'])) {
	$repo = $_POST['repo'];
} else {
	$repo = "no";
}

if ($repo == 'si') {
	$cifra = 100;
}

$paciente = $_POST['nompaciente'];
$expediente = $_POST['expediente'];
$doctor = $_POST['nomdoctor'];
if (isset($_POST['pp'])) {
	$tablapacientes = "pacientes_odontopediatria";
} else {
	$tablapacientes = "pacientes";
}

//OBTENGO DATOS DE PACIENTE
$cons3 = "SELECT idTipo FROM $tablapacientes WHERE CvePaciente='$expediente'";
$res3 = mysql_query($cons3, $conex) or die("No se realizo cons3");
$idtipo = mysql_result($res3, 0, 'idTipo');

//ACTUALIZO FECHA DE ULTIMA VISITA
$cons4 = "UPDATE $tablapacientes SET ultimavisita='$hoy' WHERE CvePaciente='$expediente'";
$res4 = mysql_query($cons4, $conex) or die("No se realizo cons4");

//OBTENGO LA MATERIA
$cons2 = "SELECT materia FROM materias WHERE idMateria='$idmateria'";
$res2 = mysql_query($cons2, $conex) or die("No se realizo cons2");
@$materia = mysql_result($res2, 0, 'materia');

//================================ INSERCIóN =========================================
$cons101 = "INSERT INTO salida (idSalida,folio,fechaSalida,hora,idClinica,expedientePaciente,nombrePaciente,idTipo,doctor,materia,idTratamiento,idPaquete,montoTotal,cifra,observaciones,estado,reposicion,caja,usuario) VALUES ('$control','$folio','$fecha','$hora','$clinica','$expediente','$paciente','$idtipo','$doctor','$materia','$tratamiento',0,'$precio','$cifra','$observaciones','Finalizada','$repo','$caja','$usuario')";
$res101 = mysql_query($cons101, $conex) or die("No se realizo cons100");

// SELECCIONO EL PAQUETE DEL TRATAMIENTO
$cons1011 = "SELECT idPaquete FROM contenido_tratamientocompleto WHERE idTratamiento='$tratamiento'";
$res1011 = mysql_query($cons1011, $conex) or die("No se ejecuto cons101");
while ($filat = mysql_fetch_row($res1011)) {
	//SELECCIONO TODO EL CONTENIDO DEL PAQUETE
	$cons8 = "SELECT clave,cantidad FROM contenido_paquete WHERE idPaquete='$filat[0]'";
	$res8 = mysql_query($cons8, $conex) or die("No se ejecuto el primer paso cons8");
	while ($filax = mysql_fetch_row($res8)) {
		//CHECO SI EXISTE EL PRODUCTO DENTRO DE OTRO PAQUETE DEL TRATAMIENTO PARA SOLO AGREGAR LA CANTIDAD A LA EXISTENTE
		$cons110 = "SELECT * FROM contenido_salida WHERE idSalida='$control' and idProducto='$filax[0]'";
		$res110 = mysql_query($cons110, $conex) or die("No se realizo cons110");
		$hay2 = mysql_fetch_row($res110);
		if ($hay2 == 0) {
			//SI NO EXISTE, LO INSERTO A LA TABLA DE CONTENIDO
			$cons10 = "INSERT INTO contenido_salida (idSalida,idProducto,cantidad) VALUES ('$control','$filax[0]','$filax[1]')";
			$res10 = mysql_query($cons10, $conex) or die("No se realizo cons10");
		} else //SI YA EXISTE ACTUALIZO LA CANTIDAD
		{
			$cons112 = "SELECT * FROM contenido_salida WHERE idSalida='$control' and idProducto='$filax[0]'";
			$res112 = mysql_query($cons112, $conex) or die("No se realizo cons112");

			$cant_anterior = mysql_result($res112, 0, 'cantidad');
			$cant_total = 0;
			$cant_total = $filax[1] + $cant_anterior;

			$cons111 = "UPDATE contenido_salida SET cantidad='$cant_total' WHERE idSalida='$control' and idProducto='$filax[0]'";
			$res111 = mysql_query($cons111, $conex) or die("No se realizo cons111");
		}

		//INSERCION DE PRODUCTOS A LA TABLA CAMBIOSVENTA
		$cons13 = "SELECT clasificacion FROM productos WHERE clave='$filax[0]'";
		$res13 = mysql_query($cons13, $conex) or die("No se realizo cons13");
		@$clasifi = mysql_result($res13, 0, 'clasificacion');
		if ($clasifi == 'Contables variables') {
			$cons14 = "INSERT INTO cambiosventa (idSalida,clave1) VALUES ('$control','$filax[0]')";
			$res14 = mysql_query($cons14, $conex) or die("Cons 14_1" . mysqli_error($conex));
		}
		if ($clasifi == 'Liquidos - polvos') {
			$cons14 = "INSERT INTO cambiosventa (idSalida,clave1) VALUES ('$control','$filax[0]')";
			$res14 = mysql_query($cons14, $conex) or die("Cons 14_2" . mysqli_error($conex));
		}
		if ($clasifi == 'Materiales de impresion') {
			$cons14 = "INSERT INTO cambiosventa (idSalida,clave1) VALUES ('$control','$filax[0]')";
			$res14 = mysql_query($cons14, $conex) or die("Cons 14_3" . mysqli_error($conex));
		}
	}
}

mysql_close($conex);

?>

<script>
	location.href = "ticketreciboventa.php?folio=<?php echo $control; ?>";
</script>